import n from "./accelbyte-widgets115.mjs";
import { PlayerPortalFeatureFlagsConfig as p } from "./accelbyte-widgets116.mjs";
const u = n;
class r {
}
r.createDiscoveryConfigs = (a) => {
  if (a)
    return {
      appId: e(a.appId),
      avatarsList: e({
        value: a.avatarsList.value.join(`
`)
      }),
      brandName: e(a.brandName),
      pageTitle: e(a.pageTitle),
      companyLogo: e(a.companyLogo),
      copyright: e(a.copyright),
      experimentalFeatureFlags: e(a.experimentalFeatureFlags),
      favicon: e({
        value: ""
      }),
      globalPageConfig: e(a.globalPageConfig),
      launcherFeatureFlags: e({}),
      launcherTemplateInfo: t(),
      legalTemplateInfo: t(),
      loginFeatureFlags: e({}),
      loginTemplateInfo: t(),
      paymentTemplateInfo: t(),
      ppFeatureFlags: e(p.parse(a.ppFeatureFlags)),
      ppTemplateInfo: e({
        draft: "pp-default",
        published: "pp-default"
      }),
      supportFeatureFlags: e({}),
      socialLinks: e(a.socialLinks),
      templateConfig: e(a.templateConfig),
      twitchDropTemplateInfo: e({
        draft: "twitchdrop-default",
        published: "twitchdrop-default"
      }),
      supportTemplateInfo: t(),
      launcherIcon: e({
        value: ""
      })
    };
};
r.createPlayerPortalConfigs = (a) => {
  var l, o, i;
  if (a)
    return {
      footer: e(a.footer),
      homepage: e({
        isDisabled: !1,
        redirectionURL: "",
        siteBrandURL: ""
      }),
      launcherDownloadLink: e(a.launcherDownloadLink),
      logoVariant: e(a.logoVariant),
      metaData: e({
        description: ((l = a.metaData) == null ? void 0 : l.description) || "",
        image: ((o = a.metaData) == null ? void 0 : o.image) || "",
        title: ((i = a.metaData) == null ? void 0 : i.title) || ""
      }),
      pageConfig: e(u.pageConfig.data),
      customHeader: e({
        isEnabled: !1,
        customHTML: "",
        customCSS: "",
        stickyHeight: 0,
        isSticky: !1
      }),
      customFooter: e({
        isEnabled: !1,
        customHTML: "",
        customCSS: ""
      }),
      customClassPageScrollEvent: e({
        isEnabled: !1,
        customClassName: "",
        elementSelector: ""
      })
    };
};
r.createTwitchDropConfigs = (a) => {
  if (a)
    return {
      logoVariant: e(a.logoVariant),
      gameList: e(a.gameList),
      streamerInfo: e(a.streamerInfo),
      backgroundConfig: e(a.backgroundConfig)
    };
};
function e(a) {
  return {
    data: a,
    format: "",
    name: "",
    updatedAt: "",
    version: 0
  };
}
function t() {
  return e({
    draft: "",
    published: ""
  });
}
export {
  r as ConfigsUtils
};
